Subject: RE: [Sigtran] Sigtran Plugtest - DAY 1

From: "J.Javier Pastor (KI/EEM)" <[email-masked]>
Date: Wed, 3 Sep 2003 13:05:09 +0200

Hi Ken, 

Thanks a lot for the summary.

See my comments below...

> -----Original Message-----
> From: Ken Morneault [mailto:[email-masked]]
> Sent: martes, 02 de septiembre de 2003 10:02
> To: [email-masked]
> Subject: [Sigtran] Sigtran Plugtest - DAY 1
> 
> 
> 
> 
> Below are the issues and comments raised after the first day
> of testing at the Plugtest.
> 
> M3UA
> ---------
> 
> 1)  A general comment regarding a preference of returned error
> value for the following condition per the RFC.
> 
>            ASP                                  SG
>           --------                              ------------
>      ASP Active (no RC) --------->
>                                   <---------   Error ("no AS 
> configured")
> 
>      ASP Active (RC1)    ---------->
>                                   <---------   Error ("invalid RC")
> 
> There was a stated preference to allow the SG to return
> Error ("no AS configured") in response to ASP Active (RC1).
>
OK.
 
> 2)  For IPSP Double-Ended mode, there is still some confusion
> about where ASP Down should be exchanged by both ends or
> if one end is sufficient.  The latest M3UA IG states that ASPSM
> messages MUST be sent from both sides.  There is a request to
> add a message flow diagram to emphasize this statement for
> the ASP Down case.
> 
> Also, do both sides have to send ASP Active before data can be
> sent?  In other words, should the logic for sending data be (a)
> or (b) below.
> 
>    (a)  send ASP Active, receive ASP Active Ack, receive ASP Active
> 
>    (b)  send ASP Active, receive ASP Active Ack
> 

During the long e-mail discussions, I remember some people saying that it makes no sense to have only one data direction channel open. In that case you should have a configuration file that makes it possible to relate the two uni-directional paths.

> 3)  The latest M3UA IG missed an issue that had been discussed
> on the Sigtran email list.  Given the following scenario:
> 
>            ASP                                  SG
>           --------                              ------------
>        REG REQ  (RK1) --------->
>                                 <---------     REG RSP (success, rc=2)
> 
>      ASP goes down, then comes back up
> 
>        REG REQ  (RK1) --------->
>                                 <---------     REG RSP (error 
> - routing key already reg, rc=2)
> 
> It is important that the M3UA IG note that the REG RSP 
> (error-routing key
> already registered) MUST contain the Routing Context to 
> ensure both sides
> are in-sync.
> 

We'll include it if nobody objects.

> 4)  A question as to whether or not NA could be removed from the Data
> message.  However, a quick poll showed that several implementations do
> send NA in the Data message if NA is provisioned.

I would recommend to keep this as there seems that some people are using it.

>
> 5)  A question as to whether or not there is any value in having the
> SG reflect the Traffic Mode in ASP Active Ack.

I don't think any modification is needed in the ASPAC-Ack. Whenever a SG sends an ASPAC-Ack, it agrees with the TMT sent in the ASPAC and it implements it. Otherwise, following the RFC, the SG will send an ERROR message. In this way SG  and AS will be always sync'ed

> 
> 6)  Given a SG sends DRST (APC1) / SCON (APC1) to an ASP then 
> later sends a
> DAVA (APC1).  Does the SG need to resend SCON (APC1) if the congestion
> state has not changed?  
> 
I agree with Tolga and Brian, DAVA does not mean congestion change.

Cheers // Javier. 

_______________________________________________
Sigtran mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/sigtran

---

From: "Brian F. G. Bidulock" <[email-masked]>
Date: Wed, 3 Sep 2003 07:04:15 -0600

J.Javier,

J.Javier Pastor (KI/EEM) wrote:                                                   (Wed, 03 Sep 2003 13:05:09)
> During the long e-mail discussions, I remember some people saying that it
> makes no sense to have only one data direction channel open. In that case
> you should have a configuration file that makes it possible to relate the
> two uni-directional paths.

That would be single-ended then...

> We'll include it if nobody objects.

Why does the ASP not send ASPUP when it comes up?  When an ASP goes down it
had better send ASPUP when it comes up regardless of whether the association
is intact or not.  ASPUP is enough for the SG to deregister all routing keys
for the association.  Consider the following:

        REG REQ (RK1) -------------->
                                     <-------------- REG RSP (success, rc=1)
        REG REQ (RK2) -------------->
                                     <-------------- REG RSP (success, rc=2)
        ASPAC   (rc1) -------------->
                                     <-------------- ASPAC Ack (rc1)        

                                     <-------------- DATA (rc1)
                                     <-------------- DATA (rc1)
                                     <-------------- DATA (rc1)
                                     <-------------- DATA (rc1)
                                     <-------------- DATA (rc1)
                                     <-------------- DATA (rc1)
                                     <-------------- DATA (rc1)

                                     <-------------- DATA (rc1)
        ERR (Invalid RC) ----------->
                                     <-------------- DATA (rc1)
        ERR (Invalid RC) ----------->
                                     <-------------- DATA (rc1)
        ERR (Invalid RC) ----------->
                                     <-------------- DATA (rc1)
        ERR (Invalid RC) ----------->
                                     <-------------- DATA (rc1)
        ERR (Invalid RC) ----------->

        REG REQ (RK1) -------------->
                                     <-------------- REG RSP (already reg, rc=1)

        silent discard              X<-------------- DATA (rc1)
        silent discard              X<-------------- DATA (rc1)
        silent discard              X<-------------- DATA (rc1)
        silent discard              X<-------------- DATA (rc1)
        silent discard              X<-------------- DATA (rc1)

        REG REQ (RK2) -------------->
                                     <-------------- REG RSP (already reg, rc=2)
        ASPAC   (rc1) -------------->
                                     <-------------- ASPAC Ack (rc1)        

                                     <-------------- DATA (rc1)
                                     <-------------- DATA (rc1)
                                     <-------------- DATA (rc1)
                                     <-------------- DATA (rc1)
                                     <-------------- DATA (rc1)
                                     <-------------- DATA (rc1)
                                     <-------------- DATA (rc1)

This ASP that goes down and comes back up without sending ASPUP is completely
unworkable.  If the ASP (correctly) sent ASPUP when it came back up, you would
have:

        REG REQ (RK1) -------------->
                                     <-------------- REG RSP (success, rc=1)
        REG REQ (RK2) -------------->
                                     <-------------- REG RSP (success, rc=2)
        ASPAC   (rc1) -------------->
                                     <-------------- ASPAC Ack (rc1)        

                                     <-------------- DATA (rc1)
                                     <-------------- DATA (rc1)
                                     <-------------- DATA (rc1)
                                     <-------------- DATA (rc1)
                                     <-------------- DATA (rc1)
                                     <-------------- DATA (rc1)
                                     <-------------- DATA (rc1)

        ASPUP         -------------->
                                       SG moves ASP to down state deactivates
                                       AS1 (stopping traffic) and deregisters
                                       RK1 and RK2.
                                     <-------------- ASPUP Ack              
        REG REQ (RK1) -------------->
                                     <-------------- REG RSP (success, rc=1)
        REG REQ (RK2) -------------->
                                     <-------------- REG RSP (success, rc=2)

So, if this ASP would properly send ASPUP per the RFC (or even better ABORT
the association) there is no need for this "already registered" error.
Besides it conflicts with "Cannot Support Unique Routing".

In short, I object to the change.

> I would recommend to keep this as there seems that some people are using it.

It is necessary if there is a single configured AS (no RC) that serves
multiple network appearances.  Leave it as a configurable option.

> I don't think any modification is needed in the ASPAC-Ack. Whenever a SG
> sends an ASPAC-Ack, it agrees with the TMT sent in the ASPAC and it
> implements it. Otherwise, following the RFC, the SG will send an ERROR
> message. In this way SG  and AS will be always sync'ed

The TMT is already optional in both the ASP Active and ASP Active Ack.

The use for including the TMT in the ASP Active Ack is when the TMT is
provisioned at the SG and not at the ASP.  The ASP may then discover
the TMT by sending ASP Active with no TMT and receiving TMT in ASP
Active Ack.

In most scenarios, TMT will be provisioned on both sides and it is not
necessary to include it in either message.

The RFC allows for all scenarios and does not need to be changed.

--brian

-- 
Brian F. G. Bidulock
[email-masked]
http://www.openss7.org/